#
# spec file for package gv (Version 3.5.8)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xaw3d xf86
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm xaw3d xdevel xf86 xshared

Name:         gv
Copyright:    1992 Timothy O. Theisen; 1995-97 Johannes Plass
Group:        X11/Applications
Provides:     gv 
Requires:     ghostscript_x11
Conflicts:    gs_serv gs_vga
Autoreqprov:  on
Summary:      View PostScript files
Version:      3.5.8
Release:      718
Source0:      gv-3.5.8.tar.gz
Patch0:       gv-3.5.8-deb.patch
Patch1:       gv-3.5.8.dif
Patch2:       gv-3.5.8-security.patch

%description
GV offers you an X11 GUI for viewing PostScript files.
This is an X11 interface to ghostscript.

Authors:
--------
    Tim Theisen <tim@cs.wisc.edu>
    Johannes Plass <plass@dipmza.physik.uni-mainz.de>

SuSE series: gra

%prep
%setup -n gv-3.5.8
%patch0 -p 1 -b .deb
%patch1
%patch2 -p1

%build
xmkmf -a
make

%install
make install
make install.man
make install.doc
install -m 0444 NOTE %{_defaultdocdir}/gv/Copyright

%files
%config /usr/X11R6/lib/X11/gv/gv_system.ad
%config /usr/X11R6/lib/X11/gv/gv_user.ad
%config /usr/X11R6/lib/X11/gv/gv_class.ad
%dir /usr/X11R6/lib/X11/gv/
%config /usr/X11R6/lib/X11/app-defaults/GV
/usr/X11R6/bin/gv
%doc /usr/X11R6/man/man1/gv.1x.gz
%docdir %{_defaultdocdir}/gv/
%{_defaultdocdir}/gv/Copyright
%doc %{_defaultdocdir}/gv/gs.interface.gz
%doc %{_defaultdocdir}/gv/gv-faq.txt.gz
%doc %{_defaultdocdir}/gv/key-bindings.txt.gz
%doc %{_defaultdocdir}/gv/comments.doc.gz
%doc %{_defaultdocdir}/gv/gv.ps.gz
%doc %{_defaultdocdir}/gv/gv-1.html
%doc %{_defaultdocdir}/gv/gv-10.html
%doc %{_defaultdocdir}/gv/gv-11.html
%doc %{_defaultdocdir}/gv/gv-12.html
%doc %{_defaultdocdir}/gv/gv-13.html
%doc %{_defaultdocdir}/gv/gv-2.html
%doc %{_defaultdocdir}/gv/gv-3.html
%doc %{_defaultdocdir}/gv/gv-4.html
%doc %{_defaultdocdir}/gv/gv-5.html
%doc %{_defaultdocdir}/gv/gv-6.html
%doc %{_defaultdocdir}/gv/gv-7.html
%doc %{_defaultdocdir}/gv/gv-8.html
%doc %{_defaultdocdir}/gv/gv-9.html
%doc %{_defaultdocdir}/gv/gv-faq.html
%doc %{_defaultdocdir}/gv/gv.html
%dir %{_defaultdocdir}/gv/

%changelog -n gv
* Fri Sep 20 2002 - okir@suse.de
- added security patch to address buffer overflows
* Fri Jun 22 2001 - ro@suse.de
- use ComplexProgramTargetNoMan
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
- Remove bogus xshared requires, rpm will handle this correct
* Wed May 24 2000 - kukuk@suse.de
- Use /usr/share/doc/packages
* Mon Jan 24 2000 - werner@suse.de
- Add Debian patch 15 for gv 3.5.8
- Use RPM_OPT_FLAGS
* Mon Sep 20 1999 - ro@suse.de
- added Requires ghostscript_x11
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Oct 15 1997 - werner@suse.de
- New version: 3.5.8
- This version is usable only with Xaw3d
* Thu Feb 13 1997 - werner@suse.de
- New package with gv version 2_7_6
- Remove call of Xaw/Xaw3d private function ...
  now we can use Xaw or Xaw3d or Xaw95.
- Some small changes on app-defaults for
  better viewing in all three Athena Widgets
